Skip to main content
PATCH
CLI

Authorizations

Authorization
string
header
required

API Key in Bearer format (e.g., Bearer sk_test_...)

Headers

X-API-Key
string

API key

Path Parameters

id
string
required

External wallet ID

Body

application/json
chains
enum<string>[]

Supported chains

Available options:
ETHEREUM,
BASE,
POLYGON,
SOLANA,
TRON,
BITCOIN,
ARBITRUM,
ROBINHOOD
Example:
currencies
string[]

Supported currencies

Example:
metadata
object

Optional metadata for the account (e.g., nickname)

Example:

Response

External wallet updated successfully

id
string
required

Account ID

Example:

"ewa_1234567890abcdef"

customerId
string
required

Customer ID

Example:

"cust_abc123"

type
enum<string>
required

Account type

Available options:
EXTERNAL_WALLET
Example:

"EXTERNAL_WALLET"

status
enum<string>
required

Account status

Available options:
IN_REVIEW,
ACTIVE,
CLOSED
Example:

"IN_REVIEW"

walletAddress
string
required

Wallet address

Example:

"0x1234567890abcdef1234567890abcdef12345678"

addressType
enum<string>
required

Wallet address type

Available options:
EVM,
TRON,
BITCOIN,
SOLANA
Example:

"EVM"

createdAt
string<date-time>
required

Account creation date

Example:

"2026-01-15T10:00:00Z"

updatedAt
string<date-time>
required

Account last update date

Example:

"2026-01-15T10:00:00Z"

counterpartyId
string | null

Counterparty ID when this is a third-party recipient wallet

Example:

"cp_abc123"

metadata
object

Custom metadata for your application, including account nickname

chains
enum<string>[]

Supported blockchain chains

Available options:
ETHEREUM,
BASE,
POLYGON,
SOLANA,
TRON,
BITCOIN,
ARBITRUM,
ROBINHOOD
Example:
currencies
array[]

Supported currencies

Example:
custodyType
enum<string>

Wallet custody type used for provider custodian mapping.

Available options:
SELF_HOSTED,
ANCHORAGE,
BINANCE,
BITGO,
CIRCLE,
COINBASE,
FIREBLOCKS,
GEMINI,
KRAKEN,
ROBINHOOD,
OTHER_EXCHANGE
Example:

"SELF_HOSTED"

created
boolean

Whether this account was newly created in this request or returned from an existing match

Example:

true